Bug 68039 - upgrade latex-beamer to 2.20
Summary: upgrade latex-beamer to 2.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-17 10:10 UTC by Ying-Chieh Liao
Modified: 2004-08-25 18:11 UTC (History)
0 users

See Also:


Attachments
patch (2.02 KB, patch)
2004-06-17 10:10 UTC, Ying-Chieh Liao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ying-Chieh Liao 2004-06-17 10:10:23 UTC

    
Comment 1 Pav Lucistnik freebsd_committer 2004-06-17 20:30:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer.
Comment 2 Ying-Chieh Liao 2004-06-28 10:35:30 UTC
a new patch :

Index: latex-beamer/Makefile
===================================================================
RCS file: /home/pcvs/ports/print/latex-beamer/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- latex-beamer/Makefile	23 Mar 2004 08:15:41 -0000	1.3
+++ latex-beamer/Makefile	28 Jun 2004 09:32:03 -0000
@@ -4,11 +4,13 @@
 #
 # $FreeBSD: ports/print/latex-beamer/Makefile,v 1.3 2004/03/23 08:15:41 krion Exp $
 
-PORTNAME=	latex-beamer
-PORTVERSION=	2.10
+PORTNAME=	beamer
+PORTVERSION=	2.20
 CATEGORIES=	print
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=	${PORTNAME}
+MASTER_SITE_SUBDIR=	latex-${PORTNAME}
+PKGNAMEPREFIX=	latex-
+DISTNAME=	${PKGNAMEPREFIX}${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	hrs@FreeBSD.org
 COMMENT=	A LaTeX class to create a beamer presentation
@@ -21,123 +23,30 @@
 		${TEXMFLOCAL_LSR}:${PORTSDIR}/print/tex-texmflocal
 
 NO_BUILD=	YES
-PLIST=		${WRKDIR}/pkg-plist
 
 TEXMFLOCAL=	share/texmf-local
 TEXMFLOCAL_LSR=	${LOCALBASE}/${TEXMFLOCAL}/ls-R
 MKTEXLSR=	${LOCALBASE}/bin/mktexlsr
-CLASSDIR=	${TEXMFLOCAL}/tex/latex/${PORTNAME:S/^latex-//}
-WRKSRC=		${WRKDIR}/${PORTNAME:S/^latex-//}
+CLASSDIR=	${TEXMFLOCAL}/tex/latex/${PORTNAME}
+WRKSRC=		${WRKDIR}/${PORTNAME}
 
-CLASS_SUBDIRS=	art base emulation/examples emulation themes emacs examples \
-		lyx/examples lyx/layouts lyx/templates lyx
-CLASS_FILES=	art/beamericonarticle.eps art/beamericonarticle.pdf \
-		art/beamericonarticle.tex art/beamericonarticle.20.eps \
-		art/beamericonarticle.20.pdf art/beamericonbook.eps \
-		art/beamericonbook.pdf art/beamericonbook.tex \
-		art/beamericonbook.20.pdf art/beamericonbook.20.eps \
-		base/beamer.cls base/beamerbasearticle.sty \
-		base/beamerbaseboxes.sty base/beamerbasecolor.sty \
-		base/beamerbasecompatibility.sty base/beamerbasedecode.sty \
-		base/beamerbasefont.sty base/beamerbaseframe.sty \
-		base/beamerbaseframecomponents.sty base/beamerbaselocalstructure.sty \
-		base/beamerbasemodes.sty base/beamerbasemisc.sty \
-		base/beamerbasenotes.sty base/beamerbasenavigation.sty \
-		base/beamerbaseoverlay.sty base/beamerbaseoptions.sty \
-		base/beamerbasesection.sty base/beamerbasetemplates.sty \
-		base/beamerbasetheorems.sty base/beamerbasetitle.sty \
-		base/beamerbasetoc.sty \
-		emulation/beamerprosper.sty emulation/beamerseminar.sty \
-		emulation/examples/beamerexample-haprosper.pdf \
-		emulation/examples/beamerexample-haprosper.tex \
-		emulation/examples/beamerexample-seminar.pdf \
-		emulation/examples/beamerexample-seminar.tex \
-		themes/beamerthemebars.sty themes/beamerthemeboxes.sty \
-		themes/beamerthemeclassic.sty themes/beamerthemelined.sty \
-		themes/beamerthemeplain.sty themes/beamerthemeshadow.sty \
-		themes/beamerthemesidebardark.sty \
-		themes/beamerthemesidebardarktab.sty \
-		themes/beamerthemesidebar.sty themes/beamerthemesidebartab.sty \
-		themes/beamerthemesplit.sty themes/beamerthemetreebars.sty \
-		themes/beamerthemetree.sty emacs/beamer.el \
-		examples/beamerexample1.pdf examples/beamerexample1.tex \
-		examples/beamerexample2.article.pdf \
-		examples/beamerexample2.article.tex \
-		examples/beamerexample2.beamer.pdf \
-		examples/beamerexample2.beamer.tex examples/beamerexample2.tex \
-		examples/beamerexample3.pdf examples/beamerexample3.tex \
-		examples/beamerexample4.pdf examples/beamerexample4.tex \
-		examples/beamerexample5.pdf examples/beamerexample5.tex \
-		examples/beamerexample6.pdf examples/beamerexample6.tex \
-		examples/beamer-computer.jpg examples/beamer-computerred.jpg \
-		examples/beamer-computer-mask.jpg examples/beamer-g4.jpg \
-		examples/beamer-g4red.jpg examples/beamer-g4-mask.jpg \
-		examples/beamer-ram.jpg examples/beamer-ram-mask.jpg \
-		examples/beamer-tu-logo.jpg examples/beamer-ur-logo.jpg \
-		examples/beamer-tu-logo-mask.jpg examples/beamer-ur-logo-mask.jpg \
-		lyx/examples/beamerlyxexample1.lyx \
-		lyx/examples/beamerlyxexample1.pdf \
-		lyx/examples/beamer-icsi-logo.pdf \
-		lyx/examples/beamer-knight1.png \
-		lyx/examples/beamer-knight1-mask.png \
-		lyx/examples/beamer-knight2.png \
-		lyx/examples/beamer-knight2-mask.png \
-		lyx/examples/beamer-knight3.png \
-		lyx/examples/beamer-knight3-mask.png \
-		lyx/examples/beamer-knight4.png \
-		lyx/examples/beamer-knight4-mask.png \
-		lyx/layouts/beamer.layout \
-		lyx/templates/beamerpresentation.lyx
-
-DOC_FILES+=	AUTHORS ChangeLog FILES INSTALL README TODO \
-		doc/beameruserguide.pdf doc/beameruserguide.tex \
-		doc/themebars.pdf doc/themebars2.pdf \
-		doc/themeboxes.pdf doc/themeboxes2.pdf \
-		doc/themeclassic.pdf doc/themeclassic2.pdf \
-		doc/themelined.pdf doc/themelined2.pdf \
-		doc/themeplain.pdf doc/themeplain2.pdf \
-		doc/themeshadow.pdf doc/themeshadow2.pdf \
-		doc/themesidebar.pdf doc/themesidebar2.pdf \
-		doc/themesidebardark.pdf doc/themesidebardark2.pdf \
-		doc/themesidebardarktab.pdf doc/themesidebardarktab2.pdf \
-		doc/themesidebartab.pdf doc/themesidebartab2.pdf \
-		doc/themesplit.pdf doc/themesplit2.pdf \
-		doc/themesplitcondensed.pdf doc/themesplitcondensed2.pdf \
-		doc/themetree.pdf doc/themetree2.pdf \
-		doc/themetreebars.pdf doc/themetreebars2.pdf
-
-pre-install:
-	${RM} -f ${PLIST}
-	${TOUCH} ${PLIST}
 .if !defined(NOPORTDOCS)
-	(for file in ${DOC_FILES}; do \
-		${ECHO_CMD} "${DOCSDIR:S,^${PREFIX}/,,}/$${file}"; \
-		done; \
-		${ECHO_CMD} "@dirrm ${DOCSDIR:S,^${PREFIX}/,,}/doc"; \
-		${ECHO_CMD} "@dirrm ${DOCSDIR:S,^${PREFIX}/,,}";) >> ${PLIST}
+DOCSDIR=	${PREFIX}/share/doc/${PKGNAMEPREFIX}${PORTNAME}
+PORTDOCS=	*
 .endif
-	(for file in ${CLASS_FILES}; do \
-		${ECHO_CMD} "${CLASSDIR}/$${file}"; \
-		done; \
-		for D in ${CLASS_SUBDIRS:S,^,/,g} "" ; do \
-			${ECHO_CMD} "@dirrm ${CLASSDIR}$${D}"; \
-		done; \
-		${ECHO_CMD} '@exec ${MKTEXLSR}'; \
-		${ECHO_CMD} '@unexec ${MKTEXLSR}' ) >> ${PLIST}
 
 do-install:
-	${MKDIR} ${PREFIX}/${CLASSDIR}
-.for D in ${CLASS_SUBDIRS}
-	${MKDIR} ${PREFIX}/${CLASSDIR}/${D}
-.if ${CLASS_FILES:M${D}/*:N${D}/*/*} != ""
-	${INSTALL_DATA} ${CLASS_FILES:M${D}/*:N${D}/*/*:S@^@${WRKSRC}/@} ${PREFIX}/${CLASSDIR}/${D}
-.endif
-.endfor
+	@${MKDIR} ${PREFIX}/${CLASSDIR}
+	${FIND} ${WRKSRC} -depth 1 -type d ! -name "doc" -exec ${CP} -R {} ${PREFIX}/${CLASSDIR} \;
+	@${FIND} ${PREFIX}/${CLASSDIR} ! -type d | \
+		${SED} 's,^${PREFIX}/,,' >> ${TMPPLIST}
+	@${FIND} ${PREFIX}/${CLASSDIR} -type d | ${SORT} -r | \
+		${SED} 's,^${PREFIX}/,@dirrm ,' >> ${TMPPLIST}
+	@${ECHO_CMD} '@exec ${MKTEXLSR}' >> ${TMPPLIST}
+	@${ECHO_CMD} '@unexec ${MKTEXLSR}' >> ${TMPPLIST}
 .if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${DOC_FILES:Ndoc/*:S@^@${WRKSRC}/@} ${DOCSDIR}
-	${MKDIR} ${DOCSDIR}/doc
-	${INSTALL_DATA} ${DOC_FILES:Mdoc/*:S@^@${WRKSRC}/@} ${DOCSDIR}/doc
+	@${MKDIR} ${DOCSDIR}
+	${CP} -R ${WRKSRC}/doc/ ${DOCSDIR}
 .endif
 
 post-install:
Index: latex-beamer/distinfo
===================================================================
RCS file: /home/pcvs/ports/print/latex-beamer/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- latex-beamer/distinfo	23 Mar 2004 08:15:41 -0000	1.3
+++ latex-beamer/distinfo	28 Jun 2004 09:32:03 -0000
@@ -1,2 +1,2 @@
-MD5 (latex-beamer-2.10.tar.gz) = 14fe41c9edeaff02661debbc3f4dda40
-SIZE (latex-beamer-2.10.tar.gz) = 3512169
+MD5 (latex-beamer-2.20.tar.gz) = 4412ea28abe5ca31a93110429e81fabd
+SIZE (latex-beamer-2.20.tar.gz) = 3714880
-- 
The sooner you start to code, the longer the program will take.
					--- Roy Carlson
Comment 3 Hiroki Sato freebsd_committer 2004-08-25 18:10:40 UTC
State Changed
From-To: open->closed

Committed with some modifications, thanks!